# kdeui Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KRadioAction Class Reference

Radiobox like action. More...

`#include <kactionclasses.h>`

Inheritance diagram for KRadioAction:

[legend]
Collaboration diagram for KRadioAction:

[legend]
List of all members.

## Public Member Functions

| KRadioAction (const QString &text, const KShortcut &cut=KShortcut(), QObject *parent=0, const char *name=0)
| KRadioAction (const QString &text, const KShortcut &cut, const QObject *receiver, const char *slot, QObject *parent, const char *name=0)
| KRadioAction (const QString &text, const QIconSet &pix, const KShortcut &cut=KShortcut(), QObject *parent=0, const char *name=0)
| KRadioAction (const QString &text, const QString &pix, const KShortcut &cut=KShortcut(), QObject *parent=0, const char *name=0)
| KRadioAction (const QString &text, const QIconSet &pix, const KShortcut &cut, const QObject *receiver, const char *slot, QObject *parent, const char *name=0)
| KRadioAction (const QString &text, const QString &pix, const KShortcut &cut, const QObject *receiver, const char *slot, QObject *parent, const char *name=0)
| KRadioAction (QObject *parent=0, const char *name=0)

## Protected Member Functions

virtual void | slotActivated ()
virtual void | virtual_hook (int id, void *data)

## Detailed Description

Radiobox like action.

An action that operates like a radio button. At any given time only a single action from the group will be active.

Definition at line 230 of file kactionclasses.h.

## Constructor & Destructor Documentation

KRadioAction::KRadioAction | ( | const QString & | text,
|  | const KShortcut & | cut = `KShortcut()`,
|  | QObject * | parent = `0`,
|  | const char * | name = `0`
| ) |

Constructs a radio action with text and potential keyboard accelerator but nothing else.

Use this only if you really know what you are doing.

Parameters:

  | text | The text that will be displayed.
  | cut | The corresponding keyboard accelerator (shortcut).
  | parent | This action's parent.
  | name | An internal name for this action.

Definition at line 263 of file kactionclasses.cpp.

KRadioAction::KRadioAction | ( | const QString & | text,
|  | const KShortcut & | cut,
|  | const QObject * | receiver,
|  | const char * | slot,
|  | QObject * | parent,
|  | const char * | name = `0`
| ) |

Parameters:

  | text | The text that will be displayed.
  | cut | The corresponding keyboard accelerator (shortcut).
  | receiver | The SLOT's parent.
  | slot | The SLOT to invoke to execute this action.
  | parent | This action's parent.
  | name | An internal name for this action.

Definition at line 269 of file kactionclasses.cpp.

KRadioAction::KRadioAction | ( | const QString & | text,
|  | const QIconSet & | pix,
|  | const KShortcut & | cut = `KShortcut()`,
|  | QObject * | parent = `0`,
|  | const char * | name = `0`
| ) |

Parameters:

  | text | The text that will be displayed.
  | pix | The icons that go with this action.
  | cut | The corresponding keyboard accelerator (shortcut).
  | parent | This action's parent.
  | name | An internal name for this action.

Definition at line 276 of file kactionclasses.cpp.

KRadioAction::KRadioAction | ( | const QString & | text,
|  | const QString & | pix,
|  | const KShortcut & | cut = `KShortcut()`,
|  | QObject * | parent = `0`,
|  | const char * | name = `0`
| ) |

Parameters:

  | text | The text that will be displayed.
  | pix | The dynamically loaded icon that goes with this action.
  | cut | The corresponding keyboard accelerator (shortcut).
  | parent | This action's parent.
  | name | An internal name for this action.

Definition at line 283 of file kactionclasses.cpp.

KRadioAction::KRadioAction | ( | const QString & | text,
|  | const QIconSet & | pix,
|  | const KShortcut & | cut,
|  | const QObject * | receiver,
|  | const char * | slot,
|  | QObject * | parent,
|  | const char * | name = `0`
| ) |

Parameters:

  | text | The text that will be displayed.
  | pix | The icons that go with this action.
  | cut | The corresponding keyboard accelerator (shortcut).
  | receiver | The SLOT's parent.
  | slot | The SLOT to invoke to execute this action.
  | parent | This action's parent.
  | name | An internal name for this action.

Definition at line 290 of file kactionclasses.cpp.

KRadioAction::KRadioAction | ( | const QString & | text,
|  | const QString & | pix,
|  | const KShortcut & | cut,
|  | const QObject * | receiver,
|  | const char * | slot,
|  | QObject * | parent,
|  | const char * | name = `0`
| ) |

Parameters:

  | text | The text that will be displayed.
  | pix | The dynamically loaded icon that goes with this action.
  | cut | The corresponding keyboard accelerator (shortcut).
  | receiver | The SLOT's parent.
  | slot | The SLOT to invoke to execute this action.
  | parent | This action's parent.
  | name | An internal name for this action.

Definition at line 298 of file kactionclasses.cpp.

KRadioAction::KRadioAction | ( | QObject * | parent = `0`,
|  | const char * | name = `0`
| ) |

Parameters:

  | parent | This action's parent.
  | name | An internal name for this action.

Definition at line 306 of file kactionclasses.cpp.

The documentation for this class was generated from the following files:

- kactionclasses.h
- kactionclasses.cpp

This file is part of the documentation for kdeui Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:22:00 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003